--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: ALS_timesim.vhd
-- /___/   /\     Timestamp: Wed Nov 29 15:34:54 2017
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -s 3 -pcf spi_master.pcf -rpw 100 -tpw 0 -ar Structure -tm ALS -insert_pp_buffers true -w -dir netgen/par -ofmt vhdl -sim spi_master.ncd ALS_timesim.vhd 
-- Device	: 6slx16csg324-3 (PRODUCTION 1.23 2013-10-13)
-- Input file	: spi_master.ncd
-- Output file	: C:\Users\tiws-18-80\Documents\ALS\netgen\par\ALS_timesim.vhd
-- # of Entities	: 1
-- Design Name	: spi_master
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library SIMPRIM;
use SIMPRIM.VCOMPONENTS.ALL;
use SIMPRIM.VPACKAGE.ALL;

entity ALS is
  port (
    t : in STD_LOGIC := 'X'; 
    start : in STD_LOGIC := 'X'; 
    SDI : in STD_LOGIC := 'X'; 
    start_ack : out STD_LOGIC; 
    CS : out STD_LOGIC; 
    SCK : out STD_LOGIC; 
    D : out STD_LOGIC_VECTOR ( 7 downto 0 ) 
  );
end ALS;

architecture Structure of ALS is
  signal t_BUFGP : STD_LOGIC; 
  signal CS_OBUF_216 : STD_LOGIC; 
  signal t_BUFGP_IBUFG_0 : STD_LOGIC; 
  signal start_ack_OBUF_218 : STD_LOGIC; 
  signal D_0_219 : STD_LOGIC; 
  signal D_1_220 : STD_LOGIC; 
  signal SDI_IBUF_0 : STD_LOGIC; 
  signal D_2_222 : STD_LOGIC; 
  signal D_3_223 : STD_LOGIC; 
  signal D_4_224 : STD_LOGIC; 
  signal D_5_225 : STD_LOGIC; 
  signal D_6_226 : STD_LOGIC; 
  signal D_7_227 : STD_LOGIC; 
  signal SCK_OBUF_228 : STD_LOGIC; 
  signal start_IBUF_0 : STD_LOGIC; 
  signal Q_n0089_inv1_cepot : STD_LOGIC; 
  signal start_del_235 : STD_LOGIC; 
  signal N32 : STD_LOGIC; 
  signal N36 : STD_LOGIC; 
  signal N28 : STD_LOGIC; 
  signal SDI_IBUF_13 : STD_LOGIC; 
  signal t_BUFGP_IBUFG_4 : STD_LOGIC; 
  signal D_0_dpot_194 : STD_LOGIC; 
  signal D_1_dpot_183 : STD_LOGIC; 
  signal D_3_dpot_177 : STD_LOGIC; 
  signal D_2_dpot_176 : STD_LOGIC; 
  signal idx_0_rstpot_121 : STD_LOGIC; 
  signal idx_1_rstpot_117 : STD_LOGIC; 
  signal idx_2_rstpot_107 : STD_LOGIC; 
  signal idx_3_rstpot_94 : STD_LOGIC; 
  signal D_5_dpot_153 : STD_LOGIC; 
  signal D_6_dpot_149 : STD_LOGIC; 
  signal D_4_dpot_144 : STD_LOGIC; 
  signal D_7_dpot_134 : STD_LOGIC; 
  signal start_ack_rstpot1_49 : STD_LOGIC; 
  signal CS_rstpot1_34 : STD_LOGIC; 
  signal start_IBUF_30 : STD_LOGIC; 
  signal ct_0_pack_16 : STD_LOGIC; 
  signal ct_1_rstpot_77 : STD_LOGIC; 
  signal ct_4_rstpot_76 : STD_LOGIC; 
  signal SCK_rstpot_69 : STD_LOGIC; 
  signal ct_3_rstpot_67 : STD_LOGIC; 
  signal ct_0_rstpot_63 : STD_LOGIC; 
  signal ct_3_pack_18 : STD_LOGIC; 
  signal ct_2_rstpot_57 : STD_LOGIC; 
  signal NlwBufferSignal_CS_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_start_ack_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_2_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_3_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_4_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_5_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_0_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_1_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_6_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_D_3_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_2_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_1_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_0_CLK : STD_LOGIC; 
  signal NlwBufferSignal_idx_2_CLK : STD_LOGIC; 
  signal NlwBufferSignal_idx_1_CLK : STD_LOGIC; 
  signal NlwBufferSignal_idx_0_CLK : STD_LOGIC; 
  signal NlwBufferSignal_idx_3_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_7_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_6_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_5_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_4_CLK : STD_LOGIC; 
  signal NlwBufferSignal_D_7_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_start_ack_CLK : STD_LOGIC; 
  signal NlwBufferSignal_CS_CLK : STD_LOGIC; 
  signal NlwBufferSignal_SCK_OBUF_I : STD_LOGIC; 
  signal NlwBufferSignal_t_BUFGP_BUFG_IN : STD_LOGIC; 
  signal NlwBufferSignal_start_del_CLK : STD_LOGIC; 
  signal NlwBufferSignal_start_del_IN : STD_LOGIC; 
  signal NlwBufferSignal_SCK_CLK : STD_LOGIC; 
  signal NlwBufferSignal_ct_4_CLK : STD_LOGIC; 
  signal NlwBufferSignal_ct_3_CLK : STD_LOGIC; 
  signal NlwBufferSignal_ct_2_CLK : STD_LOGIC; 
  signal NlwBufferSignal_ct_0_CLK : STD_LOGIC; 
  signal NlwBufferSignal_ct_1_CLK : STD_LOGIC; 
  signal GND : STD_LOGIC; 
  signal VCC : STD_LOGIC; 
  signal idx : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal ct : STD_LOGIC_VECTOR ( 4 downto 0 ); 
begin
  SDI_IBUF : X_BUF
    generic map(
      LOC => "PAD209",
      PATHPULSE => 115 ps
    )
    port map (
      O => SDI_IBUF_13,
      I => SDI
    );
  ProtoComp3_IMUX_1 : X_BUF
    generic map(
      LOC => "PAD209",
      PATHPULSE => 115 ps
    )
    port map (
      I => SDI_IBUF_13,
      O => SDI_IBUF_0
    );
  CS_OBUF : X_OBUF
    generic map(
      LOC => "PAD207"
    )
    port map (
      I => NlwBufferSignal_CS_OBUF_I,
      O => CS
    );
  t_BUFGP_IBUFG : X_BUF
    generic map(
      LOC => "PAD156",
      PATHPULSE => 115 ps
    )
    port map (
      O => t_BUFGP_IBUFG_4,
      I => t
    );
  ProtoComp3_IMUX : X_BUF
    generic map(
      LOC => "PAD156",
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP_IBUFG_4,
      O => t_BUFGP_IBUFG_0
    );
  start_ack_OBUF : X_OBUF
    generic map(
      LOC => "PAD208"
    )
    port map (
      I => NlwBufferSignal_start_ack_OBUF_I,
      O => start_ack
    );
  D_2_OBUF : X_OBUF
    generic map(
      LOC => "PAD129"
    )
    port map (
      I => NlwBufferSignal_D_2_OBUF_I,
      O => D(2)
    );
  D_3_OBUF : X_OBUF
    generic map(
      LOC => "PAD130"
    )
    port map (
      I => NlwBufferSignal_D_3_OBUF_I,
      O => D(3)
    );
  D_4_OBUF : X_OBUF
    generic map(
      LOC => "PAD139"
    )
    port map (
      I => NlwBufferSignal_D_4_OBUF_I,
      O => D(4)
    );
  D_5_OBUF : X_OBUF
    generic map(
      LOC => "PAD140"
    )
    port map (
      I => NlwBufferSignal_D_5_OBUF_I,
      O => D(5)
    );
  D_0_OBUF : X_OBUF
    generic map(
      LOC => "PAD125"
    )
    port map (
      I => NlwBufferSignal_D_0_OBUF_I,
      O => D(0)
    );
  D_1_OBUF : X_OBUF
    generic map(
      LOC => "PAD126"
    )
    port map (
      I => NlwBufferSignal_D_1_OBUF_I,
      O => D(1)
    );
  D_6_OBUF : X_OBUF
    generic map(
      LOC => "PAD141"
    )
    port map (
      I => NlwBufferSignal_D_6_OBUF_I,
      O => D(6)
    );
  D_3 : X_FF
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_3_CLK,
      I => D_3_dpot_177,
      O => D_3_223,
      RST => GND,
      SET => GND
    );
  D_3_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => X"FBFFFFFF40000000"
    )
    port map (
      ADR3 => idx(2),
      ADR0 => idx(3),
      ADR4 => idx(0),
      ADR5 => D_3_223,
      ADR1 => idx(1),
      ADR2 => SDI_IBUF_0,
      O => D_3_dpot_177
    );
  D_2 : X_FF
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_2_CLK,
      I => D_2_dpot_176,
      O => D_2_222,
      RST => GND,
      SET => GND
    );
  D_2_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => X"FFFE0002FFFF0000"
    )
    port map (
      ADR1 => idx(1),
      ADR3 => idx(0),
      ADR2 => idx(2),
      ADR4 => D_2_222,
      ADR5 => idx(3),
      ADR0 => SDI_IBUF_0,
      O => D_2_dpot_176
    );
  D_1 : X_FF
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_1_CLK,
      I => D_1_dpot_183,
      O => D_1_220,
      RST => GND,
      SET => GND
    );
  D_1_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => X"FFFF0000FFDF0080"
    )
    port map (
      ADR2 => idx(3),
      ADR5 => idx(2),
      ADR3 => idx(1),
      ADR4 => D_1_220,
      ADR0 => idx(0),
      ADR1 => SDI_IBUF_0,
      O => D_1_dpot_183
    );
  D_0 : X_FF
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_0_CLK,
      I => D_0_dpot_194,
      O => D_0_219,
      RST => GND,
      SET => GND
    );
  D_0_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X32Y6",
      INIT => X"FFFFEFFF00002000"
    )
    port map (
      ADR2 => idx(3),
      ADR1 => idx(2),
      ADR4 => idx(0),
      ADR5 => D_0_219,
      ADR3 => idx(1),
      ADR0 => SDI_IBUF_0,
      O => D_0_dpot_194
    );
  Q_n0089_inv1_cepot_INV_0 : X_LUT6
    generic map(
      LOC => "SLICE_X22Y14",
      INIT => X"0F0F0F0F0F0F0F0F"
    )
    port map (
      ADR0 => '1',
      ADR1 => '1',
      ADR5 => '1',
      ADR3 => '1',
      ADR4 => '1',
      ADR2 => CS_OBUF_216,
      O => Q_n0089_inv1_cepot
    );
  idx_2 : X_FF
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_idx_2_CLK,
      I => idx_2_rstpot_107,
      O => idx(2),
      RST => GND,
      SET => GND
    );
  idx_2_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => X"B1F54400BBFF4400"
    )
    port map (
      ADR0 => CS_OBUF_216,
      ADR5 => start_del_235,
      ADR2 => start_ack_OBUF_218,
      ADR4 => idx(2),
      ADR3 => idx(1),
      ADR1 => idx(0),
      O => idx_2_rstpot_107
    );
  idx_1_rstpot_SW0 : X_LUT6
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => X"FAFAFAFAFAFAFAFA"
    )
    port map (
      ADR5 => '1',
      ADR1 => '1',
      ADR4 => '1',
      ADR3 => '1',
      ADR2 => idx(3),
      ADR0 => idx(2),
      O => N28
    );
  idx_1 : X_FF
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_idx_1_CLK,
      I => idx_1_rstpot_117,
      O => idx(1),
      RST => GND,
      SET => GND
    );
  idx_1_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => X"DDDD22AA1D5D22AA"
    )
    port map (
      ADR2 => start_del_235,
      ADR5 => start_ack_OBUF_218,
      ADR1 => CS_OBUF_216,
      ADR4 => idx(1),
      ADR0 => idx(0),
      ADR3 => N28,
      O => idx_1_rstpot_117
    );
  idx_0 : X_FF
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_idx_0_CLK,
      I => idx_0_rstpot_121,
      O => idx(0),
      RST => GND,
      SET => GND
    );
  idx_0_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X21Y20",
      INIT => X"EE0033FF0E0033FF"
    )
    port map (
      ADR2 => start_del_235,
      ADR5 => start_ack_OBUF_218,
      ADR3 => CS_OBUF_216,
      ADR4 => idx(0),
      ADR0 => idx(1),
      ADR1 => N28,
      O => idx_0_rstpot_121
    );
  idx_3_rstpot_SW0 : X_LUT6
    generic map(
      LOC => "SLICE_X20Y20",
      INIT => X"5F5F5F5F5F5F5F5F"
    )
    port map (
      ADR4 => '1',
      ADR1 => '1',
      ADR5 => '1',
      ADR3 => '1',
      ADR0 => idx(1),
      ADR2 => idx(0),
      O => N36
    );
  idx_3 : X_FF
    generic map(
      LOC => "SLICE_X20Y20",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_idx_3_CLK,
      I => idx_3_rstpot_94,
      O => idx(3),
      RST => GND,
      SET => GND
    );
  idx_3_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X20Y20",
      INIT => X"F7A20055F7F70000"
    )
    port map (
      ADR1 => start_del_235,
      ADR2 => start_ack_OBUF_218,
      ADR0 => CS_OBUF_216,
      ADR4 => idx(3),
      ADR5 => idx(2),
      ADR3 => N36,
      O => idx_3_rstpot_94
    );
  D_7 : X_FF
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_7_CLK,
      I => D_7_dpot_134,
      O => D_7_227,
      RST => GND,
      SET => GND
    );
  D_7_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => X"FFFF0000EFFF4000"
    )
    port map (
      ADR3 => idx(1),
      ADR0 => idx(3),
      ADR5 => idx(2),
      ADR4 => D_7_227,
      ADR2 => idx(0),
      ADR1 => SDI_IBUF_0,
      O => D_7_dpot_134
    );
  D_6 : X_FF
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_6_CLK,
      I => D_6_dpot_149,
      O => D_6_226,
      RST => GND,
      SET => GND
    );
  D_6_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => X"FFFF0000FFFD0020"
    )
    port map (
      ADR3 => idx(1),
      ADR1 => idx(0),
      ADR5 => idx(3),
      ADR4 => D_6_226,
      ADR0 => idx(2),
      ADR2 => SDI_IBUF_0,
      O => D_6_dpot_149
    );
  D_5 : X_FF
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_5_CLK,
      I => D_5_dpot_153,
      O => D_5_225,
      RST => GND,
      SET => GND
    );
  D_5_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => X"FFEF0020FFFF0000"
    )
    port map (
      ADR2 => idx(2),
      ADR3 => idx(3),
      ADR1 => idx(1),
      ADR4 => D_5_225,
      ADR5 => idx(0),
      ADR0 => SDI_IBUF_0,
      O => D_5_dpot_153
    );
  D_4 : X_FF
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => '0'
    )
    port map (
      CE => Q_n0089_inv1_cepot,
      CLK => NlwBufferSignal_D_4_CLK,
      I => D_4_dpot_144,
      O => D_4_224,
      RST => GND,
      SET => GND
    );
  D_4_dpot : X_LUT6
    generic map(
      LOC => "SLICE_X29Y6",
      INIT => X"FFEFFFFF00200000"
    )
    port map (
      ADR2 => idx(2),
      ADR3 => idx(3),
      ADR1 => idx(0),
      ADR5 => D_4_224,
      ADR4 => idx(1),
      ADR0 => SDI_IBUF_0,
      O => D_4_dpot_144
    );
  D_7_OBUF : X_OBUF
    generic map(
      LOC => "PAD142"
    )
    port map (
      I => NlwBufferSignal_D_7_OBUF_I,
      O => D(7)
    );
  start_ack_rstpot1_SW1 : X_LUT6
    generic map(
      LOC => "SLICE_X18Y20",
      INIT => X"FF000000FF000000"
    )
    port map (
      ADR0 => '1',
      ADR1 => '1',
      ADR2 => '1',
      ADR5 => '1',
      ADR4 => idx(1),
      ADR3 => idx(0),
      O => N32
    );
  start_ack_52 : X_FF
    generic map(
      LOC => "SLICE_X18Y20",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_start_ack_CLK,
      I => start_ack_rstpot1_49,
      O => start_ack_OBUF_218,
      RST => GND,
      SET => GND
    );
  start_ack_rstpot1 : X_LUT6
    generic map(
      LOC => "SLICE_X18Y20",
      INIT => X"FF00AA00FF00A800"
    )
    port map (
      ADR2 => idx(3),
      ADR3 => start_del_235,
      ADR0 => CS_OBUF_216,
      ADR4 => start_ack_OBUF_218,
      ADR1 => idx(2),
      ADR5 => N32,
      O => start_ack_rstpot1_49
    );
  CS_50 : X_FF
    generic map(
      LOC => "SLICE_X18Y20",
      INIT => '1'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_CS_CLK,
      I => CS_rstpot1_34,
      O => CS_OBUF_216,
      SET => GND,
      RST => GND
    );
  CS_rstpot1 : X_LUT6
    generic map(
      LOC => "SLICE_X18Y20",
      INIT => X"CCFFCDFFA0A00000"
    )
    port map (
      ADR4 => idx(3),
      ADR3 => start_del_235,
      ADR1 => start_ack_OBUF_218,
      ADR5 => CS_OBUF_216,
      ADR2 => idx(2),
      ADR0 => N32,
      O => CS_rstpot1_34
    );
  SCK_OBUF : X_OBUF
    generic map(
      LOC => "PAD210"
    )
    port map (
      I => NlwBufferSignal_SCK_OBUF_I,
      O => SCK
    );
  start_IBUF : X_BUF
    generic map(
      LOC => "PAD28",
      PATHPULSE => 115 ps
    )
    port map (
      O => start_IBUF_30,
      I => start
    );
  ProtoComp3_IMUX_2 : X_BUF
    generic map(
      LOC => "PAD28",
      PATHPULSE => 115 ps
    )
    port map (
      I => start_IBUF_30,
      O => start_IBUF_0
    );
  t_BUFGP_BUFG : X_CKBUF
    generic map(
      LOC => "BUFGMUX_X3Y13",
      PATHPULSE => 115 ps
    )
    port map (
      I => NlwBufferSignal_t_BUFGP_BUFG_IN,
      O => t_BUFGP
    );
  start_del : X_FF
    generic map(
      LOC => "SLICE_X18Y26",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_start_del_CLK,
      I => NlwBufferSignal_start_del_IN,
      O => start_del_235,
      RST => GND,
      SET => GND
    );
  SCK_OBUF_SCK_OBUF_CMUX_Delay : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => ct_3_pack_18,
      O => ct(3)
    );
  SCK_OBUF_SCK_OBUF_BMUX_Delay : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => ct_0_pack_16,
      O => ct(0)
    );
  SCK_68 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_SCK_CLK,
      I => SCK_rstpot_69,
      O => SCK_OBUF_228,
      RST => GND,
      SET => GND
    );
  SCK_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"0F1FF0E0FFFF0000"
    )
    port map (
      ADR2 => ct(3),
      ADR5 => ct(4),
      ADR1 => ct(0),
      ADR4 => SCK_OBUF_228,
      ADR0 => ct(1),
      ADR3 => ct(2),
      O => SCK_rstpot_69
    );
  ct_4 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_ct_4_CLK,
      I => ct_4_rstpot_76,
      O => ct(4),
      RST => GND,
      SET => GND
    );
  ct_4_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"3830307038303070"
    )
    port map (
      ADR4 => ct(0),
      ADR3 => ct(1),
      ADR0 => ct(2),
      ADR2 => ct(4),
      ADR1 => ct(3),
      ADR5 => '1',
      O => ct_4_rstpot_76
    );
  ct_3_rstpot : X_LUT5
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"260C0C4C"
    )
    port map (
      ADR4 => ct(0),
      ADR3 => ct(1),
      ADR0 => ct(2),
      ADR2 => ct(4),
      ADR1 => ct(3),
      O => ct_3_rstpot_67
    );
  ct_3 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_ct_3_CLK,
      I => ct_3_rstpot_67,
      O => ct_3_pack_18,
      RST => GND,
      SET => GND
    );
  ct_2 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_ct_2_CLK,
      I => ct_2_rstpot_57,
      O => ct(2),
      RST => GND,
      SET => GND
    );
  ct_2_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"0078787800787878"
    )
    port map (
      ADR1 => ct(0),
      ADR0 => ct(1),
      ADR4 => ct(3),
      ADR2 => ct(2),
      ADR3 => ct(4),
      ADR5 => '1',
      O => ct_2_rstpot_57
    );
  ct_0_rstpot : X_LUT5
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"01333333"
    )
    port map (
      ADR1 => ct(0),
      ADR0 => ct(1),
      ADR4 => ct(3),
      ADR2 => ct(2),
      ADR3 => ct(4),
      O => ct_0_rstpot_63
    );
  ct_0 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_ct_0_CLK,
      I => ct_0_rstpot_63,
      O => ct_0_pack_16,
      RST => GND,
      SET => GND
    );
  ct_1 : X_FF
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => '0'
    )
    port map (
      CE => VCC,
      CLK => NlwBufferSignal_ct_1_CLK,
      I => ct_1_rstpot_77,
      O => ct(1),
      RST => GND,
      SET => GND
    );
  ct_1_rstpot : X_LUT6
    generic map(
      LOC => "SLICE_X19Y25",
      INIT => X"030F030F30F030F0"
    )
    port map (
      ADR0 => '1',
      ADR4 => '1',
      ADR1 => ct(3),
      ADR5 => ct(1),
      ADR2 => ct(0),
      ADR3 => ct(4),
      O => ct_1_rstpot_77
    );
  NlwBufferBlock_CS_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => CS_OBUF_216,
      O => NlwBufferSignal_CS_OBUF_I
    );
  NlwBufferBlock_start_ack_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => start_ack_OBUF_218,
      O => NlwBufferSignal_start_ack_OBUF_I
    );
  NlwBufferBlock_D_2_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_2_222,
      O => NlwBufferSignal_D_2_OBUF_I
    );
  NlwBufferBlock_D_3_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_3_223,
      O => NlwBufferSignal_D_3_OBUF_I
    );
  NlwBufferBlock_D_4_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_4_224,
      O => NlwBufferSignal_D_4_OBUF_I
    );
  NlwBufferBlock_D_5_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_5_225,
      O => NlwBufferSignal_D_5_OBUF_I
    );
  NlwBufferBlock_D_0_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_0_219,
      O => NlwBufferSignal_D_0_OBUF_I
    );
  NlwBufferBlock_D_1_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_1_220,
      O => NlwBufferSignal_D_1_OBUF_I
    );
  NlwBufferBlock_D_6_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_6_226,
      O => NlwBufferSignal_D_6_OBUF_I
    );
  NlwBufferBlock_D_3_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_3_CLK
    );
  NlwBufferBlock_D_2_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_2_CLK
    );
  NlwBufferBlock_D_1_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_1_CLK
    );
  NlwBufferBlock_D_0_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_0_CLK
    );
  NlwBufferBlock_idx_2_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_idx_2_CLK
    );
  NlwBufferBlock_idx_1_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_idx_1_CLK
    );
  NlwBufferBlock_idx_0_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_idx_0_CLK
    );
  NlwBufferBlock_idx_3_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_idx_3_CLK
    );
  NlwBufferBlock_D_7_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_7_CLK
    );
  NlwBufferBlock_D_6_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_6_CLK
    );
  NlwBufferBlock_D_5_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_5_CLK
    );
  NlwBufferBlock_D_4_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_D_4_CLK
    );
  NlwBufferBlock_D_7_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => D_7_227,
      O => NlwBufferSignal_D_7_OBUF_I
    );
  NlwBufferBlock_start_ack_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_start_ack_CLK
    );
  NlwBufferBlock_CS_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_CS_CLK
    );
  NlwBufferBlock_SCK_OBUF_I : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_SCK_OBUF_I
    );
  NlwBufferBlock_t_BUFGP_BUFG_IN : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP_IBUFG_0,
      O => NlwBufferSignal_t_BUFGP_BUFG_IN
    );
  NlwBufferBlock_start_del_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => SCK_OBUF_228,
      O => NlwBufferSignal_start_del_CLK
    );
  NlwBufferBlock_start_del_IN : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => start_IBUF_0,
      O => NlwBufferSignal_start_del_IN
    );
  NlwBufferBlock_SCK_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_SCK_CLK
    );
  NlwBufferBlock_ct_4_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_ct_4_CLK
    );
  NlwBufferBlock_ct_3_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_ct_3_CLK
    );
  NlwBufferBlock_ct_2_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_ct_2_CLK
    );
  NlwBufferBlock_ct_0_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_ct_0_CLK
    );
  NlwBufferBlock_ct_1_CLK : X_BUF
    generic map(
      PATHPULSE => 115 ps
    )
    port map (
      I => t_BUFGP,
      O => NlwBufferSignal_ct_1_CLK
    );
  NlwBlock_spi_master_GND : X_ZERO
    port map (
      O => GND
    );
  NlwBlock_spi_master_VCC : X_ONE
    port map (
      O => VCC
    );
  NlwBlockROC : X_ROC
    generic map (ROC_WIDTH => 100 ns)
    port map (O => GSR);
  NlwBlockTOC : X_TOC
    port map (O => GTS);

end Structure;

