library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity tb_quadenc is end entity;

architecture a of tb_quadenc is
 signal um: integer range -128 to 127;   -- Drehzahl in Umdrehungen/min
 signal SA, SB: std_logic;               -- Sensorsignale
 signal run: boolean := True;
begin

 qe: entity work.quadenc port map(um=>um, run=>run, SA=>SA, SB=>SB);
 process begin
  um <=   7; wait for 400 ms;
  um <=  15; wait for 400 ms;
  um <=   0; wait for 200 ms;
  um <= -12; wait for 400 ms;
  um <= -15; wait for 300 ms;
  um <=  11; wait for 400 ms;
  run <= False; wait;                    -- Simulation beenden
 end process;

end architecture;
